Add attachmentPOST

Description

Adds an attachment to a task.

Accepts a multipart/form-data request containing the file to attach. The form data parameter must be named "file". The attachment will be given the same name as the filename that is provided for the "file" parameter. E.g. "file=@accounting.xlsx" will add an attachment named "accounting.xlsx".

It is not possible to attach files directly from third party services such as Dropbox, Google Drive, OneDrive or Box. The file contents must be downloaded first and then uploaded as a regular attachment.

See also Add text document to add a text document instead of a file.

Note: If using Curl, make sure to add an "@" before the file path.

Permissions

The API token needs the Edit tasks permission.

Request format

curl -F "file=@<FILE_PATH>" https://kanbanflow.com/api/v1/tasks/<TASK_ID>/attachments

Example request

curl -F "file=@report.pdf" https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/attachments

Example response

{
    "taskAttachmentId": "Aks4VwyRB"
}

Valid form data parameters

ParameterTypeComment
fileFileRequired. File to upload.